io.undertow.server.handlers

## Class StuckThreadDetectionHandler.Wrapper

- java.lang.Object
- - io.undertow.server.handlers.StuckThreadDetectionHandler.Wrapper

All Implemented Interfaces:
  HandlerWrapper

Enclosing class:
  StuckThreadDetectionHandler

    public static final class StuckThreadDetectionHandler.Wrapper
    extends Object
    implements HandlerWrapper

### Constructor Summary

Constructors
Constructor and Description
`Wrapper()`
`Wrapper(int threshhold)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpHandler` `wrap(HttpHandler handler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Wrapper

    public Wrapper(int threshhold)

#### Wrapper

    public Wrapper()

### Method Detail

#### wrap

    public HttpHandler wrap(HttpHandler handler)

Specified by:
  `wrap` in interface `HandlerWrapper`